## mlt 0.6.2

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifneq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
else
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt

OBJS = MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFilteredProducer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	ln -sf $(TARGET) $(SONAME)

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	rm -f "$(DESTDIR)$(libdir)/$(NAME)"
	rm -f "$(DESTDIR)$(libdir)/$(SONAME)"
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/Makefile ===
include ../../config.mak
include make.inc

all clean depend:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

distclean:
	rm -f consumers.dat filters.dat producers.dat transitions.dat make.inc; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

install:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
		fi \
	done

uninstall:
	rm -rf "$(DESTDIR)$(libdir)/mlt"

=== src/modules/avformat/Makefile ===
CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

LDFLAGS += -lavformat$(AVFORMAT_SUFFIX)
LDFLAGS += -lavcodec$(AVFORMAT_SUFFIX)
LDFLAGS += -lavutil$(AVFORMAT_SUFFIX)
LDFLAGS += $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avresample.o \
	    filter_avdeinterlace.o
ifdef SWSCALE
OBJS += filter_swscale.o
endif
CFLAGS += -DFILTERS
endif

ifdef VDPAU
CFLAGS += -DVDPAU `pkg-config --cflags x11`
LDFLAGS += $(LIBDL) `pkg-config --libs x11`
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef SWSCALE
CFLAGS += -DSWSCALE
LDFLAGS += -lswscale$(AVFORMAT_SUFFIX)
endif

ifdef DEVICES
CFLAGS += -DAVDEVICE
LDFLAGS += -lavdevice$(AVFORMAT_SUFFIX)
endif

ifdef LOCAL_FFMPEG
LOCAL_FFMPEG_OBJS = ffmpeg/libavformat/libavformat$(AVFORMAT_SUFFIX) \
                    ffmpeg/libavcodec/libavcodec$(AVFORMAT_SUFFIX) \
                    ffmpeg/libavutil/libavutil$(AVFORMAT_SUFFIX)
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(LOCAL_FFMPEG_OBJS):
	if [ $(LOCAL_FFMPEG) ] ; then \
		$(MAKE) -C ffmpeg ffmpeg ; \
	fi

$(TARGET): $(OBJS) $(LOCAL_FFMPEG_OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	#if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg dep ; fi
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend
	if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg distclean ; fi

clean:	
	#if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg clean ; fi
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(datadir)/mlt/avformat"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltavformat$(LIBSUF)" 2> /dev/null || true
	rm "$(DESTDIR)$(libdir)/mlt/libmltffmpeg$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/decklink/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdecklink$(LIBSUF)

OBJS = consumer_decklink.o \
	DeckLinkAPIDispatch.o

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/kino/Makefile ===
CFLAGS += -I../../
CXXFLAGS += $(CFLAGS) -Wno-deprecated

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltkino.so

OBJS = factory.o producer_kino.o
CPPOBJS = kino_wrapper.o avi.o error.o filehandler.o riff.o

LDFLAGS += -lstdc++

ifdef HAVE_LIBQUICKTIME
CFLAGS += `pkg-config --cflags libquicktime` 
CXXFLAGS += `pkg-config --cflags libquicktime` 
LDFLAGS += `pkg-config --libs libquicktime`
endif

ifdef HAVE_LIBDV
CFLAGS += `pkg-config --cflags libdv`
LDFLAGS += `pkg-config --libs libdv`
endif


SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cc)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) -shared -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/linsys/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltlinsys$(LIBSUF)

OBJS = factory.o \
	   consumer_SDIstream.o

ifdef WITH_JPEG
CFLAGS += -DWITH_JPEG
LDFLAGS += -ljpeg
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/qimage/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltqimage$(LIBSUF)

OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
CPPOBJS = qimage_wrapper.o kdenlivetitle_wrapper.o

CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) $(EXIFCXXFLAGS) -Wno-deprecated

LDFLAGS += $(QTLIBS) $(EXIFLIBS)
LDFLAGS += -lstdc++

ifdef USE_KDE
LDFLAGS += -lkio
endif

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $(QTCXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/vmfx/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltvmfx$(LIBSUF)

OBJS = factory.o \
	   filter_chroma.o \
	   filter_chroma_hold.o \
	   filter_mono.o \
	   filter_shape.o \
	   producer_pgm.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/xml/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltxml$(LIBSUF)

OBJS = factory.o \
	   consumer_xml.o \
	   producer_xml.o

CFLAGS += `pkg-config libxml-2.0 --cflags`

LDFLAGS += `pkg-config libxml-2.0 --libs`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/xml"
	install -m 644 mlt-xml.dtd "$(DESTDIR)$(datadir)/mlt/xml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.6.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Feb 2011 18:02:18 +0100

mlt (0.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 24 Jan 2011 20:20:44 +0100

## mlt 0.7.0

=== src/melt/Makefile ===
include ../../config.mak
include config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += `sdl-config --cflags`
LDFLAGS += `sdl-config --libs`
OBJS += ../win32/win32.o
SRCS += ../win32/win32.c
bindir = $(prefix)
endif

all: $(TARGET)

$(TARGET): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(TARGET) "$(DESTDIR)$(bindir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(TARGET)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/avformat/Makefile ===
--- 
+++ 
@@ -56,6 +56,11 @@
 
 SRCS := $(OBJS:.o=.c)
 
+ifeq ($(targetos), MinGW)
+OBJS += ../../win32/win32.o
+SRCS += ../../win32/win32.c
+endif
+
 all: 	$(TARGET)
 
 $(LOCAL_FFMPEG_OBJS):

=== src/modules/core/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltcore$(LIBSUF)

OBJS = factory.o \
	   producer_colour.o \
	   producer_consumer.o \
	   producer_hold.o \
	   producer_loader.o \
	   producer_noise.o \
	   producer_ppm.o \
	   filter_audioconvert.o \
	   filter_audiowave.o \
	   filter_brightness.o \
	   filter_channelcopy.o \
	   filter_crop.o \
	   filter_data_feed.o \
	   filter_data_show.o \
	   filter_gamma.o \
	   filter_greyscale.o \
	   filter_imageconvert.o \
	   filter_luma.o \
	   filter_mirror.o \
	   filter_mono.o \
	   filter_obscure.o \
	   filter_panner.o \
	   filter_region.o \
	   filter_rescale.o \
	   filter_resize.o \
	   filter_transition.o \
	   filter_watermark.o \
	   transition_composite.o \
	   transition_luma.o \
	   transition_mix.o \
	   transition_region.o \
	   consumer_null.o

ASM_OBJS = 

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += -I../../win32
OBJS += ../../win32/fnmatch.o
SRCS += ../../win32/fnmatch.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

composite_line_yuv_mmx.o: composite_line_yuv_mmx.S
	$(CC) -o $@ -c composite_line_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(prefix)/share/mlt/core"
	install -m 644 data_fx.properties "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.dict "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.ini "$(DESTDIR)$(datadir)/mlt/core"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/frei0r/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltfrei0r$(LIBSUF)

OBJS = factory.o \
	   producer_frei0r.o \
	   filter_frei0r.o \
	   transition_frei0r.o \
	   frei0r_helper.o

CFLAGS += `pkg-config --cflags frei0r 2> /dev/null`

LDFLAGS += -lm $(LIBDL)
LDFLAGS += `pkg-config --libs frei0r 2> /dev/null`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(prefix)/share/mlt/frei0r"
	install -m 644 blacklist.txt "$(DESTDIR)$(datadir)/mlt/frei0r"
	install -m 644 not_thread_safe.txt "$(DESTDIR)$(datadir)/mlt/frei0r"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/qimage/Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) $(EXIFCXXFLAGS) -Wno-deprecated
 
 LDFLAGS += $(QTLIBS) $(EXIFLIBS)
-LDFLAGS += -lstdc++
 
 ifdef USE_KDE
 LDFLAGS += -lkio
@@ -27,7 +26,7 @@
 		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)
 
 depend:	$(SRCS)
-		$(CC) -MM $(CFLAGS) $(QTCXXFLAGS) $^ 1>.depend
+		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend
 
 distclean:	clean
 		rm -f .depend config.h config.mak

=== src/modules/rotoscoping/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltrotoscoping$(LIBSUF)

OBJS = factory.o \
	   filter_rotoscoping.o \
	   cJSON.o


LDFLAGS += -lm

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d $(DESTDIR)$(datadir)/mlt/rotoscoping
	install -m 644 filter_rotoscoping.yml "$(DESTDIR)$(datadir)/mlt/rotoscoping"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sdl/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsdl$(LIBSUF)

OBJS = factory.o \
	   consumer_sdl.o \
	   consumer_sdl_audio.o \
	   consumer_sdl_preview.o \
	   consumer_sdl_still.o 

ifeq ($(targetos),Darwin)
CFLAGS += -ObjC
LDFLAGS += -lobjc -framework Foundation
else ifneq ($(targetos), MinGW)
LDFLAGS += -lX11
endif

CFLAGS += `sdl-config --cflags`

LDFLAGS += `sdl-config --libs`

ifeq ($(WITH_SDL_IMAGE),1)
OBJS += producer_sdl_image.o
CFLAGS += -DWITH_SDL_IMAGE
LDFLAGS += -lSDL_image
endif

SRCS := $(OBJS:.o=.c)
ifeq ($(targetos),Darwin)
OBJS += consumer_sdl_osx.o
SRCS += consumer_sdl_osx.m consumer_sdl_osx.h
endif

ifeq ($(targetos), MinGW)
OBJS += ../../win32/win32.o
SRCS += ../../win32/win32.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/swfdec/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltswfdec$(LIBSUF)

OBJS = producer_swfdec.o

ifeq ($(targetos), MinGW)
LDFLAGS += -enable-auto-import -lz
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.7.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Wrap build dependencies.
  * Build with enabled hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 20:44:02 +0200

mlt (0.7.0-1) unstable; urgency=low

  * New upstream release.
    Closes: #606123
    - Bumped SONAME of libmlt to 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 28 Mar 2011 21:05:04 +0200

mlt (0.6.2-3) unstable; urgency=low

  * Remove python-mlt3.install, it is done automagic by debian/rules.
    Thanks to Evgeni Golov.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Feb 2011 11:16:32 +0100

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 ffmpeg,
 kdelibs5-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libgtk2.0-dev,
 libjack-dev,
 libquicktime-dev,
 libsamplerate-dev,
 libsdl1.2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 libvorbis-dev,
 libxine-dev,
 libxml2-dev,
 imagemagick,
 frei0r-plugins-dev,
 swig,
 python-dev,
 hardening-wrapper,
 python-support
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmlt4 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
Replaces: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libmlt4
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Depends: libmlt++3 (= ${binary:Version}), ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmlt++0.2, libmlt++2
Replaces: libmlt++0.2, libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt4 (= ${binary:Version}),
 libmlt++3 (= ${binary:Version})
Description: multimedia framework (debugging symbols)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the debugging symbols for libmlt++ and libmlt

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt3
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-mlt2
Replaces: python-mlt2
Description: multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# Enable motion estimation, MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-motion_est --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-motion_est --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--avformat-swscale \
	--luma-compress \
	--swig-languages=python \
	--qimage-libdir=/usr/lib

PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt3/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt3/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt3/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg

## mlt 0.7.2

=== src/framework/Makefile ===
include ../../config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifeq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt$(LIBSUF)
TARGET = libmlt-$(soversion)$(LIBSUF)
SHFLAGS += -Wl,--output-def,libmlt.def
else
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
endif

OBJS = mlt_frame.o \
	   mlt_version.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o

INCS = mlt_consumer.h \
	   mlt_version.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h

SRCS := $(OBJS:.o=.c)

CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\""

LDFLAGS += $(LIBDL) -lpthread

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		if [ "$(targetos)" != "MinGW" ]; then \
			ln -sf $(TARGET) $(SONAME) ; \
		fi

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME)

install:
	install -d $(DESTDIR)$(libdir)
	if [ "$(targetos)" = "MinGW" ]; then \
		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
	else \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(datadir)/mlt"
	install -m 644 metaschema.yaml "$(DESTDIR)$(datadir)/mlt/"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(datadir)/mlt/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/decklink/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 TARGET = ../libmltdecklink$(LIBSUF)
 
 OBJS = consumer_decklink.o \
+	producer_decklink.o \
 	DeckLinkAPIDispatch.o
 
 SRCS := $(OBJS:.o=.cpp)
@@ -31,6 +32,12 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
+	install -d "$(DESTDIR)$(datadir)/mlt/decklink"
+	install -m 644 producer_decklink.yml "$(DESTDIR)$(datadir)/mlt/decklink"
+
+uninstall:
+	rm "$(DESTDIR)$(libdir)/mlt/libmltdecklink$(LIBSUF)" 2> /dev/null || true
+	rm -rf "$(DESTDIR)$(datadir)/mlt/decklink"
 
 ifneq ($(wildcard .depend),)
 include .depend

=== src/modules/gtk2/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltgtk2$(LIBSUF)

OBJS = factory.o

ifdef USE_GTK2
OBJS += consumer_gtk2.o
CFLAGS += `pkg-config gtk+-2.0 --cflags`
LDFLAGS += `pkg-config gtk+-2.0 --libs`
endif

ifdef USE_PIXBUF
OBJS += producer_pixbuf.o pixops.o filter_rescale.o
CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
endif

ifdef USE_EXIF
CFLAGS += $(EXIFCXXFLAGS) 
LDFLAGS += $(EXIFLIBS)
endif

ifdef MMX_FLAGS
ifndef ARCH_X86_64
ASM_OBJS = have_mmx.o scale_line_22_yuv_mmx.o
endif
endif

ifdef USE_PANGO
OBJS += producer_pango.o
CFLAGS += `pkg-config pangoft2 --cflags`
LDFLAGS += `pkg-config pangoft2 --libs`
ifeq ($(targetos),Darwin)
LDFLAGS += -liconv
endif
ifeq ($(targetos),FreeBSD)
LDFLAGS += -liconv
endif
ifeq ($(targetos), MinGW)
LDFLAGS += -liconv
endif
endif

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
OBJS += ../../win32/win32.o
SRCS += ../../win32/win32.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

have_mmx.o:
	$(CC) -o $@ -c have_mmx.S

scale_line_22_yuv_mmx.o: scale_line_22_yuv_mmx.S
	$(CC) -o $@ -c scale_line_22_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/motion_est/Makefile ===
CFLAGS += -I../.. 

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltmotion_est$(LIBSUF)

OBJS = factory.o \
	   filter_motion_est.o \
	   filter_crop_detect.o \
	   filter_autotrack_rectangle.o \
	   arrow_code.o \
	   filter_vismv.o \
	   producer_slowmotion.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

test: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -filter benchmark -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=50000

hist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter histogram -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=40000


test2: $(TARGET)
	melt colour:black -filter watermark:"+mello.txt" composite.geometry="0,0:10%x10%;99=90%,90%" composite.out=99 -filter crop_detect -filter motion_est -filter vismv

realtime: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -consumer sdl rescale=none /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=30000

testhist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -consumer sdl rescale=none silent=1 -filter motion_est -filter histogram  -filter vismv /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=10000


ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.7.2-2) unstable; urgency=low

  * Add patch 01-build-on-kfreebsd.diff, so that mlt also builds on kFreeBSD.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 13:43:36 +0200

mlt (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 May 2011 19:43:32 +0200

## mlt 0.7.2+git20110529

=== debian/changelog ===
mlt (0.7.2+git20110529-1) unstable; urgency=low

  * New upstream git snapshot.
    - Drop patch 01-build-on-kfreebsd, merged by upstream.
    - Fixed crash with framebuffer on amd64.
      #627133
  * Disable swfdec.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 15:07:00 +0200

## mlt 0.7.2+git20110530

=== debian/changelog ===
mlt (0.7.2+git20110530-1) unstable; urgency=low

  * New upstream git snapshot.
    - This fixes the abortion of melt, whops.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 May 2011 20:12:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	--avformat-swscale \
 	--luma-compress \
 	--swig-languages=python \
-	--qimage-libdir=/usr/lib
+	--qimage-libdir=/usr/lib \
+	--disable-swfdec
 
 PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages

## mlt 0.7.4

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  src/swig \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm mlt-config packages.dat; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done; \
	rm config.mak;

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(prefix)/share/mlt"
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	cp -R presets "$(DESTDIR)$(prefix)/share/mlt"

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

=== src/framework/Makefile ===
--- 
+++ 
@@ -73,6 +73,11 @@
 
 SRCS := $(OBJS:.o=.c)
 
+ifeq ($(targetos), MinGW)
+OBJS += ../win32/win32.o
+SRCS += ../win32/win32.c
+endif
+
 CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\""
 
 LDFLAGS += $(LIBDL) -lpthread

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	   producer_loader.o \
 	   producer_noise.o \
 	   producer_ppm.o \
+	   filter_audiochannels.o \
 	   filter_audioconvert.o \
 	   filter_audiowave.o \
 	   filter_brightness.o \
@@ -68,10 +69,11 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
-	install -d "$(DESTDIR)$(prefix)/share/mlt/core"
+	install -d "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 data_fx.properties "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 loader.dict "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 loader.ini "$(DESTDIR)$(datadir)/mlt/core"
+	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/core"
 
 ifneq ($(wildcard .depend),)
 include .depend

=== src/modules/gtk2/Makefile ===
--- 
+++ 
@@ -49,11 +49,6 @@
 
 SRCS := $(OBJS:.o=.c)
 
-ifeq ($(targetos), MinGW)
-OBJS += ../../win32/win32.o
-SRCS += ../../win32/win32.c
-endif
-
 all: 	$(TARGET)
 
 $(TARGET): $(OBJS) $(ASM_OBJS)
@@ -76,6 +71,8 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
+	install -d "$(DESTDIR)$(datadir)/mlt/gtk2"
+	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/gtk2"
 
 ifneq ($(wildcard .depend),)
 include .depend

=== src/modules/jackrack/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak

TARGET = ../libmltjackrack$(LIBSUF)

OBJS = factory.o \
	   jack_rack.o \
	   lock_free_fifo.o \
	   plugin.o \
	   plugin_desc.o \
	   plugin_mgr.o \
	   plugin_settings.o \
	   process.o \
	   filter_jackrack.o \
	   filter_ladspa.o

CFLAGS += `pkg-config --cflags jack`
CFLAGS += `pkg-config --cflags libxml-2.0`
CFLAGS += `pkg-config --cflags glib-2.0`

LDFLAGS += $(LIBDL)
LDFLAGS += `pkg-config --libs jack`
LDFLAGS += `pkg-config --libs libxml-2.0`
LDFLAGS += `pkg-config --libs glib-2.0`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/jackrack"
	install -m 644 filter_jackrack.yml "$(DESTDIR)$(datadir)/mlt/jackrack"
	install -m 644 filter_ladspa.yml "$(DESTDIR)$(datadir)/mlt/jackrack"
	install -m 644 blacklist.txt "$(DESTDIR)$(datadir)/mlt/jackrack"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltjackrack$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/jackrack"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/melt/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltmelt$(LIBSUF)

OBJS = factory.o \
	   producer_melt.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/melt"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/melt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sox/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsox$(LIBSUF)

OBJS = factory.o \
	   filter_sox.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/sox"
	install -m 644 filter_sox.yml "$(DESTDIR)$(datadir)/mlt/sox"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltsox$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/sox"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/xml/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
 	install -d "$(DESTDIR)$(datadir)/mlt/xml"
 	install -m 644 mlt-xml.dtd "$(DESTDIR)$(datadir)/mlt/xml"
+	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/xml"
 
 ifneq ($(wildcard .depend),)
 include .depend

=== debian/changelog ===
mlt (0.7.4-3) unstable; urgency=low

  * Add patch from Stephane Fillod, to enable motionest on all architectures.
    Closes: #638622

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 22:03:38 +0200

mlt (0.7.4-2) unstable; urgency=low

  * Add patch 01-kfbsd-ftbfs, to fix an FTBFS on GNU/kFreeBSD.
    Closes: #634210

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Jul 2011 20:48:20 +0200

mlt (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Build with dh_python2 and install files to dist-packages instead of
    site-packages. Also fixes lintian's python-debug-in-wrong-location.
    Beer promised to Evgeni Golov.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Jul 2011 18:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,8 @@
  imagemagick,
  frei0r-plugins-dev,
  swig,
- python-dev,
  hardening-wrapper,
- python-support
+ python-all-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.mltframework.org

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,16 @@
 
 export DEB_BUILD_HARDENING=1
 
-# Enable motion estimation, MMX and SSE on amd64 architecture
+# Enable MMX and SSE on amd64 architecture
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
-	EXTRA_CONFIGURE_OPTS += --enable-motion_est --enable-mmx --enable-sse
+	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
 else
-	EXTRA_CONFIGURE_OPTS += --disable-motion_est --disable-mmx --disable-sse --disable-sse2
+	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
 endif
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-gpl \
+	--enable-motion_est \
 	$(EXTRA_CONFIGURE_OPTS) \
 	--avformat-shared=/usr \
 	--avformat-swscale \
@@ -19,10 +20,10 @@
 	--qimage-libdir=/usr/lib \
 	--disable-swfdec
 
-PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages
+PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -40,3 +41,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libmlt-dbg
+
+override_dh_python2:
+	dh_python2 --no-guessing-versions

## mlt 0.7.6

=== debian/changelog ===
mlt (0.7.6-2) unstable; urgency=low

  * Add patch 01-hurd-ftbfs to fix a FTBFS on hurd-i386.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 05 Nov 2011 11:30:32 +0100

mlt (0.7.6-1) unstable; urgency=low

  * New upstream release.
    - Remove all patches, they have been merged by upstream.
    - Remove some obsolete docs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Nov 2011 21:57:38 +0100

mlt (0.7.4-4) unstable; urgency=low

  * Do not try to build mlt with libquicktime on hurd-i386.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 08 Oct 2011 14:29:10 +0200

## mlt 0.7.6+git20111213

=== debian/changelog ===
mlt (0.7.6+git20111213-1) unstable; urgency=low

  * New upstream git snapshot.
    - Fixes segfault with wrong xml input.
      Closes: #651604
  * Add patch 02-hurd-configure to detect hurd-i386 as Linux flavour.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Dec 2011 19:43:41 +0100

## mlt 0.7.6+git20111220

=== debian/changelog ===
mlt (0.7.6+git20111220-1) unstable; urgency=low

  * New upstream git snapshot.
  * Remove patch 01-hurd-ftbfs, it still applies but was merged by upstream to
    a better location in the source code.
  * Add patch 04-mltpp-hurd-configure to detect mlt++ module as Linux flavour.
  * Add patch 03-sys-soundcard to change the include of soundcard.h to
    sys/soundcard.h. This fixes a FTBFS on kfreebsd.
    Closes: #652059

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Dec 2011 19:41:02 +0100

## mlt 0.7.6+git20111222

=== src/modules/jackrack/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltjackrack$(LIBSUF)

GPL_OBJS = jack_rack.o \
	lock_free_fifo.o \
	plugin.o \
	plugin_desc.o \
	plugin_mgr.o \
	plugin_settings.o \
	process.o \
	filter_jackrack.o \
	filter_ladspa.o

OBJS = factory.o \
	   consumer_jack.o

CFLAGS += `pkg-config --cflags jack`
LDFLAGS += `pkg-config --libs jack`

ifdef GPL
OBJS += $(GPL_OBJS)
CFLAGS += -DGPL
CFLAGS += `pkg-config --cflags libxml-2.0`
CFLAGS += `pkg-config --cflags glib-2.0`

LDFLAGS += $(LIBDL)
LDFLAGS += `pkg-config --libs libxml-2.0`
LDFLAGS += `pkg-config --libs glib-2.0`

YML_FILES = *.yml
BLACKLIST = blacklist.txt
else
YML_FILES = consumer_jack.yml
BLACKLIST = dummy
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/jackrack"
	install -m 644 $(YML_FILES) "$(DESTDIR)$(datadir)/mlt/jackrack"
	[ -f $(BLACKLIST) ] && install -m 644 $(BLACKLIST) "$(DESTDIR)$(datadir)/mlt/jackrack" || true

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltjackrack$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/jackrack"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.7.6+git20111222-1) unstable; urgency=low

  * New upstream git snapshot.
    - Removed all patches, they have been merged in this snapshot.
    - Do not build with RtAudio on hurd and kfreebsd, to avoid FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Dec 2011 18:25:52 +0100

## mlt 0.7.6+git20120204

=== Makefile ===
--- 
+++ 
@@ -51,3 +51,9 @@
 
 dist:
 	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz
+
+validate-yml:
+	for file in `find ./ -type f -name \*.yml`; do \
+		echo "validate: $$file"; \
+		kwalify -f src/framework/metaschema.yaml $$file; \
+	done

=== debian/changelog ===
mlt (0.7.6+git20120204-2) unstable; urgency=high

  * Add patch 01-various-upstream-fixes-20120205 which includes various
    upstream fixes like fixing a FTBFS with libav on architectures without MMX.
    Closes: #658376

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 Feb 2012 13:33:07 +0100

mlt (0.7.6+git20120204-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 04 Feb 2012 14:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdv4-dev,
  libgtk2.0-dev,
  libjack-dev,
- libquicktime-dev,
+ libquicktime-dev [!hurd-i386],
  libsamplerate-dev,
  libsdl1.2-dev,
  libsox-dev (>= 14.3.0),
@@ -31,7 +31,8 @@
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmlt4 (= ${binary:Version})
+Depends: ${misc:Depends},
+ libmlt4 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -45,10 +46,19 @@
 
 Package: libmlt4
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
-Conflicts: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
-Replaces: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
+Conflicts: libmlt0.2,
+ libmlt0.2.5,
+ libmlt1,
+ libmlt2,
+ libmlt3
+Replaces: libmlt0.2,
+ libmlt0.2.5,
+ libmlt1,
+ libmlt2,
+ libmlt3
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -77,7 +87,8 @@
 Package: libmlt++-dev
 Section: libdevel
 Architecture: any
-Depends: libmlt++3 (= ${binary:Version}), ${misc:Depends}
+Depends: libmlt++3 (= ${binary:Version}),
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -91,9 +102,12 @@
 
 Package: libmlt++3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmlt++0.2, libmlt++2
-Replaces: libmlt++0.2, libmlt++2
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Conflicts: libmlt++0.2,
+ libmlt++2
+Replaces: libmlt++0.2,
+ libmlt++2
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -109,7 +123,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt4 (= ${binary:Version}),
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt4 (= ${binary:Version}),
  libmlt++3 (= ${binary:Version})
 Description: multimedia framework (debugging symbols)
  MLT is an open source multimedia framework, designed and developed for
@@ -124,7 +140,9 @@
 Package: melt
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt-data (>= ${source:Version})
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
@@ -133,7 +151,9 @@
 Package: python-mlt3
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
 Conflicts: python-mlt2
 Replaces: python-mlt2
